<?php 
require_once "../modelos/Radar.php";
if (strlen(session_id())<1) 
	session_start();

$radar 							= new Radar();

$iradar							=isset($_POST["idpedido"])? limpiarCadena($_POST["idpedido"]):"";
$idcliente1					=isset($_POST["idcliente1"])? limpiarCadena($_POST["idcliente1"]):"";
$idusuario					=$_SESSION["idusuario"];
$fecha_hora1				=isset($_POST["fecha_hora11"])? limpiarCadena($_POST["fecha_hora11"]):"";
$estado							=isset($_POST["estado"])? limpiarCadena($_POST["estado"]):"";;

switch ($_GET["op"]) {
	case 'guardarradarp':
		$estado='Pedido';
		$rspta=$radar->insertar($idcliente1,$idusuario,$fecha_hora1,$estado); 
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	break;

	case 'guardarradarcxc':
		$estado='Cobranza';
		$rspta=$radar->insertar($idcliente1,$idusuario,$fecha_hora1,$estado); 
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	break;

	case 'guardarradarno':
		$rspta=$radar->insertar($idcliente1,$idusuario,$fecha_hora1,$estado); 
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	break;

	case 'registarinicioruta':
		$estado='inicio';
		$rspta=$radar->registarinicioruta($idusuario,$fecha_hora1,$estado); 
		echo $rspta ? "Datos registrados y se inicio la ruta correctamente" : "No se pudo registrar los datos";
	break;

	case 'registarfinderuta':
		$estado='cerrado';
		$rspta=$radar->registarfinruta($idusuario,$fecha_hora1,$estado); 
		echo $rspta ? "Datos registrados y sé cerro la ruta correctamente" : "No se pudo registrar los datos";
	break;
	
	case 'verificarinicioruta':
		$rspta=$radar->verificarinicioruta($idusuario,$fecha_hora1);
		if($rspta){
			$estado	='si';
		}else {
			$estado	='no';
		}
		//echo $rspta ? "no" : "si";
		echo $estado;
	break;

	case 'anular':
		$rspta=$pedido->anular($idpedido);
		echo $rspta ? "Factura anulada correctamente" : "No se pudo anular la factura";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$pedido->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$pedido->mostrar($idpedido);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idpedido
		$id=$_GET['id'];

		$rspta=$pedido->listarDetalle($id);
		$total=0;
		/* echo ' <thead style="background-color:#A9D0F5">
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
		<th>Descuento</th>
		<th>ImpArt18</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td>'.$reg->nombre.'</td>
			<td>'.number_format($reg->cantidad,0,',','.').'</td>
			<td>'.number_format($reg->precio_ventad,2,',','.').'</td>
			<td>'.number_format($reg->descuento,2,',','.').'</td>
			<td>'.number_format($reg->impuestoart18,2,',','.').'</td>
			<td>'.number_format($reg->subtotald,2,',','.').'</td></tr>';
			$total=$total+($reg->precio_ventad*$reg->cantidad-$reg->descuento);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
		 <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_pedido" id="total_pedido"></th>
	   </tfoot>'; */
	   echo ' <thead style="background-color:#A9D0F5">
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
		<th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td>'.$reg->nombre.'</td>
			<td>'.number_format($reg->cantidad,0,',','.').'</td>
			<td>'.number_format($reg->precio_ventad,2,',','.').'</td>
			<td>'.number_format($reg->subtotald,2,',','.').'</td></tr>';
			$total=$total+($reg->subtotald);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_pedido" id="total_pedido"></th>
       </tfoot>';
	break;

  case 'listar':
		$rspta=$pedido->listar();
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
                /*  if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='Pedido') {
					$url='reportes/PedidoNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='#?id=';
				 } */
			$estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-red">Pendiente</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-orangel">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-yellow">Anulado</span>';
			}else{
				$estado='<span class="badge bg-green">Facturado</span>';
			}	

			$url='reportes/PedidoNew.php?id=';	 
			$data[]=array(
			"0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idpedido.','.$reg->idusuario.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpedido.')">
			<i class="fa fa-eye"></i></button>').'<a target="_blank" href="'.$url.$reg->idpedido.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->usuario,
            "4"=>$reg->tipo_comprobante,
            "5"=>$reg->num_pedido,
            "6"=>number_format($reg->total_pedidod,2,',','.'),
			"7"=>$estado
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarPedido':
		$rspta=$pedido->listarPedido();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
					"0"=>'<button class="btn btn-warning" 
					onclick="agregarDetallePedido('.$reg->idpedido.')">
					<span class="fa fa-plus"></span></button>',
					"1"=>$reg->vendedor,
					"2"=>$reg->cliente,
					"3"=>$reg->zona,
					"4"=>$reg->num_pedido,
					"5"=>number_format($reg->total_pedidod,2,',','.'),
					"6"=>$reg->estado
					);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarc();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Cliente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectTransportista':
		require_once "../modelos/Transportista.php";
		$transportista = new Transportista();

		$rspta = $transportista->listar();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransportista.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectVendedor':
		require_once "../modelos/Vendedor.php";
		$vendedor 	= new Vendedor();
		$rspta 		= $vendedor->listar();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idvendedor.'>'.$reg->nombre.'</option>';
		}
	break;

	/* case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentaa();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->preciopvp.','.$reg->preciopvpd.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentab();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentac();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break; */

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentaa();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentaa2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentaa3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentaa4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentaa5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentaa6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentaa7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentaa8();
		}else{
			$rspta		=$articulo->listarActivosVentaa9();
		}
		
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo		=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentab();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentab2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentab3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentab4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentab5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentab6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentab7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentab8();
		}else{
			$rspta		=$articulo->listarActivosVentab9();
		}
	
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						 onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentac();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentac2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentac3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentac4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentac5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentac6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentac7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentac8();
		}else{
			$rspta		=$articulo->listarActivosVentac9();
		}
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosd':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentad();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentad2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentad3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentad4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentad5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentad6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentad7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentad8();
		}else{
			$rspta		=$articulo->listarActivosVentad9();
		}
		$dataA			=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 	0;
		$linea			="";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulose':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		if ($idalmacen1==1){
			$rspta		=$articulo->listarActivosVentae();
		}elseif ($idalmacen1==2) {
			$rspta		=$articulo->listarActivosVentae2();
		}elseif ($idalmacen1==3) {
			$rspta		=$articulo->listarActivosVentae3();
		}elseif ($idalmacen1==4) {
			$rspta		=$articulo->listarActivosVentae4();
		}elseif ($idalmacen1==5) {
			$rspta		=$articulo->listarActivosVentae5();
		}elseif ($idalmacen1==6) {
			$rspta		=$articulo->listarActivosVentae6();
		}elseif ($idalmacen1==7) {
			$rspta		=$articulo->listarActivosVentae7();
		}elseif ($idalmacen1==8) {
			$rspta		=$articulo->listarActivosVentae8();
		}else{
			$rspta		=$articulo->listarActivosVentae9();
		}
		$dataA		=Array();
		$porcentaje	=0;
		$iva				=	($_SESSION['iva_empresa']/100)+1;
		$precio			= 	0;
		$linea			= "";
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$linea			= $reg->stock;
			if ($reg->stock<=0){
				$linea			= '<badge style="background-color:#FC0202 ">'.number_format($reg->stock,0,',','.').'</badge>';
			}
			$precio = $reg->preciod;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->impuestoart18d.','.$reg->preciopvp.','.$reg->preciopvpd.','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>'<a href="#" onclick="mostrarstock('.$reg->idarticulo.')">'.$reg->nombre.'</a>',
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$linea,
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosVenta();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento 
		$almacen	='N/A';
		$nrolote	='N/A';
		$fechalote	='N/A';
		$data=Array();
		// (idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$almacen.'\',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$nrolote.'\',\''.$fechalote.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>number_format($reg->porcentaje,2,',','.')
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;

	case 'agregarDetallePedido':
		//recibimos el idtarjeta
		$id				=	$_GET['id'];
		$cont			=	$_GET['cont']*1;
		$rspta			=	$pedido->agregarDetallePedido($id);
		$imp18_empresa	=	$_SESSION['impuestoart18_empresa'];


		
		

		//$cont	=200;
		while ($reg=$rspta->fetch_object()) {

			/* var fila='<tr class="filas" id="fila'+cont+'">'+
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
		'<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
		'<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'+number_format(cantidad)+'"></td>'+
		'<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'+number_format(preciod,2)+'"></td>'+
		td1+
		'<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'+number_format(porcentaje,2)+'"></td>'+
		'<td><input type="text" name="descuentod[]" id="descuentod[]" style="text-align:right;width:120px" value="'+number_format(descuentod,2)+'" ></td>'+
		td+
		'<td><input type="text" style="text-align:right;width:120px" name="subtotald[]" id="subtotald[]"  value="'+number_format(subtotald,2)+'"></td>'+
        //'<td><span id="subtotal'+cont+'" name="subtotal">'+subtotal+'</span></td>'+
		'<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>'+
		'<input type="hidden" name="nrolote[]" value="'+nrolote+'">'+
		'<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'+(idpedido*1)+'">'+
		'<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'+idalmacen+'">'+
		'<input type="hidden" name="iva[]" value="'+iva+'">'+
		'<input type="hidden" name="ivad[]" value="'+ivad+'">'+
		'<input type="hidden" name="exentot[]" value="'+exentot+'">'+
		'<input type="hidden" name="exentotd[]" value="'+exentotd+'">'+
		'<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'+number_format(precio,2)+'">'+
		'<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'+number_format(subtotal,2)+'">'+
		'<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'+number_format(preciopvp,2)+'">'+
		'<input type="hidden" name="descuento[]" id="descuento[]" value="'+number_format(descuento,2)+'" >'+
		'</td>'+ */
			//$data	=array($cont,(($reg->iddetalle_pedido)*1),(($reg->idpedido)*1),(($reg->idarticulo)*1));
			if ($imp18_empresa=='si'){
				$td			=	'<td><input type="text" name="impoart18d[]" id="impoart18d[]" style="text-align:right;width:120px" value="'.number_format($reg->impoart18d,2).'" >
								<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'" ></td>';
				$td1		=	'<td><input type="text" name="precio_ventapvpd[]" id="precio_ventapvpd[]" style="text-align:right;width:120px" value="'.number_format($reg->preciopvpd,2).'"></td>';
			}else{
				$td			=	'<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'">
								<input type="hidden" name="impoart18d[]" id="impoart18d[]" value="'.number_format($reg->impoart18d,2).'">';
				$td1		=	'<input type="hidden" name="precio_ventapvpd[]" id="precio_ventapvpd[]" value="'.number_format($reg->preciopvpd,2).'">';
			}
            echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->articulo.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'" ></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->preciod,2,',','.').'" ></td>
			'.$td1.'
			<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'.number_format($reg->porcentaje,0,',','.').'" ></td>
			<td><input type="text" name="descuentod[]" id="descuentod[]" style="text-align:right;width:120px"value="'.number_format($reg->descuento,2,',','.').'"  ></td>
			'.$td.'
			<td><input type="text" name="subtotald[]" id="subtotald[]" style="text-align:right;width:120px" value="'.number_format($reg->subtotald,2,',','.').'"></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.(($reg->idpedido)*1).'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'">
			<input type="hidden" name="ivad[]" value="'.number_format($reg->ivad,2,',','.').'">
			<input type="hidden" name="exentot[]" value="'.number_format($reg->exentot,2,',','.').'">
			<input type="hidden" name="exentotd[]" value="'.number_format($reg->exentotd,2,',','.').'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]"  value="'.number_format($reg->precio,2,',','.').'" >	
			<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2).'">
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format($reg->preciopvp,2,',','.').'">
			<input type="hidden" name="descuento[]" id="descuento[]" value="'.number_format($reg->descuento,2,',','.').'">
			</td>
			</tr>';
			$cont=$cont+1;
		}
	break;

	case 'listarruta':
    require_once "../modelos/Persona.php";
	$persona	=new Persona();
	if($idusuario==44){
	   $rspta    =$persona->listarsinruta($idusuario); 
	}else{
	   $rspta    =$persona->listarruta($idusuario); 
	}
    
    $data     =Array();
	
    while ($reg=$rspta->fetch_object()) {
			//Buscamos estado 
			//$rsptav		=$radar->buscarestado($reg->idpersona,$reg->idusuario,$reg->fecha);
			//$regv			=$rsptav->fetch_object();

			if($reg->estado=='si'){
				$estado='<span class="badge bg-green">Listo</span>';
    	}else {
				$estado	='<span class="badge bg-red">Pendiente</span>';;
			}

      $data[]=array(
            "0"=> '<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idpersona.')"><i class="fa fa-cc"></i></button>'
                  .' '.
                  '<button class="btn btn-success btn-xs" onclick="mostrarp('.$reg->idpersona.')"><i class="fa fa-inbox"></i></button>'
                  .' '.
                  '<button class="btn btn-danger btn-xs" onclick="mostrarno('.$reg->idpersona.')"><i class="fa  fa-calendar-check-o"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->tipo_documento,
            "3"=>$reg->num_documento,
            "4"=>$reg->telefono,
            "5"=>$estado
              );
    }
    $results=array(
            "sEcho"=>1,//info para datatables
            "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
            "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
            "aaData"=>$data); 
    echo json_encode($results);
  break;

	

}
 ?>